<template>
  <div class="marquee-container">
    <div :class="classes">
      <div class="task" v-for="task in tasks" :key="task.id">
        <div class="title">
          <b>Story Points: {{ task.storyPoints }}</b>
          <p>{{ task.title }}</p>
          <p>{{ new Date(task.date * 1000).toLocaleDateString() }}</p>
        </div>
        <div class="taskBody">
          <p>{{ task.body }}</p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Marquee",
  props: {direction: String, tasks: Array},
  computed: {
    classes(){
      return {'road': true, 'directionLeft': this.direction === 'left'}
    }
  }
};
</script>

<style scoped>
.marquee-container {
  transform: translate(25%);
}

.road {
  display: flex;
  width: min-content;
  height: 130px;
  margin: 10px 0;
  animation: marquee 30s linear infinite alternate;
}

.directionLeft {
  animation: marquee-left 30s linear infinite alternate;
}

@keyframes marquee {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-50%);
  }
}

@keyframes marquee-left {
  0% {
    transform: translateX(-50%);
  }
  100% {
    transform: translateX(0%);
  }
}

.task {
  height: 100%;
  width: 550px;
  margin: 10px;
  border-radius: 25px;
  background-color: white;
  box-sizing: border-box;
  padding: 10px 10px 0 10px;
  box-shadow: 0 10px 36px rgb(0 0 0 / 5%);
}

p {
  margin: 0;
}

.title {
  display: flex;
  align-items: center;
  justify-content: space-around;
  margin-bottom: 5px;
}

img {
  height: 30px;
  width: 30px;
  border-radius: 50px;
  margin-right: 10px;
}

b {
  margin-right: 10px;
}

.taskBody {
  margin: 20px 5px 0;
  text-align: left;
}
</style>
